<script setup>
import {route} from "@/Types/Functions";
import {Link} from "@inertiajs/vue3";
import PriceFilter from "@/Components/UI/Filters/PriceFilter.vue";
import {ref} from "vue";

const emit = defineEmits([
    'submitFilter'
])

const props = defineProps({
    filters:Object,
})

const price = ref([props.filters.price.min,props.filters.price.max]);

const submit = () => {
    emit('submitFilter',price.value)
};
const clear = () => form.reset()
</script>
<template>
    <div class="marketBottom__center noMobile">
        <PriceFilter v-model="price"
                     :min="props.filters.price.min"
                     :max="props.filters.price.max"
        />
        <a @click.prevent="submit" class="marketBottom__center-reset button flex" href="#">Применить</a>
        <Link  class="marketBottom__center-reset button flex" :href="route('market')">Очистить</Link>
    </div>
</template>
<style src="@vueform/slider/themes/default.css"></style>
